import { Injectable } from '@angular/core';
import { Observable } from 'rxjs/Observable';
import { RPCService } from '@loafer/ng-rpc';
import { MetaProbeArchitecture } from '@overflow/commons-typescript/model/meta';

@Injectable()
export class MetaProbeArchitectureService {

  public constructor(
    private rpcService: RPCService,
  ) {

  }

  public readAll(): Observable<MetaProbeArchitecture[]> {
    return this.rpcService.call('MetaProbeArchitectureService.readAll');
  }
}
